<!DOCTYPE html>
<html lang="en-us">
<head>

  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="generator" content="Source Themes Academic 3.1.0">
  <meta name="generator" content="Hugo 0.50" />
  <meta name="author" content="Jeremy Jackson">

  
  
  
  
    
  
  <meta name="description" content="Software Engineering and Data Science">

  
  <link rel="alternate" hreflang="en-us" href="https://ackso.net/post/">

  


  

  

  

  
  
  
  <meta name="theme-color" content="#2962ff">
  

  
  
  
  
    
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha256-eSi1q2PG6J7g7ib17yAaWMcrr5GrtohYChqibrV7PBE=" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/academicons/1.8.6/css/academicons.min.css" integrity="sha256-uFVgMKfistnJAfoCUQigIl+JfUaP47GrRKjf6CTPVmw=" crossorigin="anonymous">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.5.0/css/all.css" integrity="sha384-B4dIYHKNBt8Bc12p+WXckhzcICo0wtJAoU8YZTY5qE0Id1GSseTk6S+L3BlXeVIU" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/fancybox/3.2.5/jquery.fancybox.min.css" integrity="sha256-ygkqlh3CYSUri3LhQxzdcm0n1EQvH2Y+U5S2idbLtxs=" crossorigin="anonymous">

    
    
    
      
    
    

    

    

  

  
  
  <link rel="stylesheet" href="//fonts.googleapis.com/css?family=Montserrat:400,700|Roboto:400,400italic,700|Roboto+Mono">
  

  <link rel="stylesheet" href="/styles.css">
  

  
  
  

  
  <link rel="alternate" href="https://ackso.net/post/index.xml" type="application/rss+xml" title="Sometimes Jeremy Thinks">
  <link rel="feed" href="https://ackso.net/post/index.xml" type="application/rss+xml" title="Sometimes Jeremy Thinks">
  

  <link rel="manifest" href="/site.webmanifest">
  <link rel="icon" type="image/png" href="/img/icon.png">
  <link rel="apple-touch-icon" type="image/png" href="/img/icon-192.png">

  <link rel="canonical" href="https://ackso.net/post/">

  <meta property="twitter:card" content="summary_large_image">
  
  <meta property="og:site_name" content="Sometimes Jeremy Thinks">
  <meta property="og:url" content="https://ackso.net/post/">
  <meta property="og:title" content="Posts | Sometimes Jeremy Thinks">
  <meta property="og:description" content="Software Engineering and Data Science">
  
  
    
  <meta property="og:image" content="https://ackso.net/img/icon-192.png">
  <meta property="og:locale" content="en-us">
  
  <meta property="og:updated_time" content="2017-01-01T00:00:00-07:00">
  

  

  

  <title>Posts | Sometimes Jeremy Thinks</title>

</head>
<body id="top" data-spy="scroll" data-target="#TableOfContents" data-offset="71" >

<nav class="navbar navbar-light fixed-top navbar-expand-lg py-0" id="navbar-main">
  <div class="container">

    
      <a class="navbar-brand" href="/">Sometimes Jeremy Thinks</a>
      
      <button type="button" class="navbar-toggler" data-toggle="collapse"
              data-target="#navbar" aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation">
        <span><i class="fas fa-bars"></i></span>
      </button>
      

    
    <div class="collapse navbar-collapse" id="navbar">

      
      
      <ul class="navbar-nav ml-auto">
        

        

        
        
        
          
        

        <li class="nav-item">
          <a class="nav-link" href="/#about">
            
            <span>Home</span>
            
          </a>
        </li>

        
        

        

        
        
        
          
        

        <li class="nav-item">
          <a class="nav-link" href="/#posts">
            
            <span>Posts</span>
            
          </a>
        </li>

        
        

        

        
        
        
          
        

        <li class="nav-item">
          <a class="nav-link" href="/#projects">
            
            <span>Projects</span>
            
          </a>
        </li>

        
        

        

        
        
        
          
        

        <li class="nav-item">
          <a class="nav-link" href="/#contact">
            
            <span>Contact</span>
            
          </a>
        </li>

        
        

      

        

        
      </ul>

    </div>
  </div>
</nav>















  

  
  
  
    
  
<div class="universal-wrapper pt-3">
  <h1 itemprop="name">Posts</h1>

  

  
</div>



<div class="universal-wrapper">

  

  
  
    
      

<div class="media stream-item" itemscope itemprop="blogPost" itemtype="http://schema.org/BlogPosting">
  <div class="media-body">

    <h3 class="article-title mb-0 mt-0" itemprop="headline">
      <a href="/post/xmpp-with-nodejs/" itemprop="url">XMPP With Node.js</a>
    </h3>

    
    
      
    
    
    <div class="article-style" itemprop="articleBody">
      Creating a simple experimentation XMPP client.
    </div>
    

    <div class="stream-meta">
    

<div class="article-metadata">

  
  
  <span itemscope itemprop="author" itemtype="http://schema.org/Person">
    <meta itemprop="name" content="Jeremy Jackson">
  </span>
  

  <span class="article-date">
    
    <meta content="2018-07-08 00:21:20 -0600 MDT" itemprop="datePublished">
    <time datetime="2018-07-08 00:21:20 -0600 MDT" itemprop="dateModified">
      2018-07-08
    </time>
  </span>
  <span itemscope itemprop="publisher" itemtype="http://schema.org/Person">
    <meta itemprop="name" content="Jeremy Jackson">
  </span>

  
  <span class="middot-divider"></span>
  <span class="article-reading-time">
    6 min read
  </span>
  

  
  
  <span class="middot-divider"></span>
  <a href="/post/xmpp-with-nodejs/#disqus_thread"></a>
  

  

  

</div>

    </div>

  </div>
  <div class="ml-3">
    
    
  </div>
</div>

    
  
    
      

<div class="media stream-item" itemscope itemprop="blogPost" itemtype="http://schema.org/BlogPosting">
  <div class="media-body">

    <h3 class="article-title mb-0 mt-0" itemprop="headline">
      <a href="/post/first-steps-with-apache-kafka/" itemprop="url">First Steps With Apache Kafka</a>
    </h3>

    
    
      
    
    
    <div class="article-style" itemprop="articleBody">
      Apache Kafka is a skill I need to progress. Here are my first steps in setting it up.
    </div>
    

    <div class="stream-meta">
    

<div class="article-metadata">

  
  
  <span itemscope itemprop="author" itemtype="http://schema.org/Person">
    <meta itemprop="name" content="Jeremy Jackson">
  </span>
  

  <span class="article-date">
    
    <meta content="2018-04-07 16:35:17 -0600 MDT" itemprop="datePublished">
    <time datetime="2018-04-07 16:35:17 -0600 MDT" itemprop="dateModified">
      2018-04-07
    </time>
  </span>
  <span itemscope itemprop="publisher" itemtype="http://schema.org/Person">
    <meta itemprop="name" content="Jeremy Jackson">
  </span>

  
  <span class="middot-divider"></span>
  <span class="article-reading-time">
    4 min read
  </span>
  

  
  
  <span class="middot-divider"></span>
  <a href="/post/first-steps-with-apache-kafka/#disqus_thread"></a>
  

  

  

</div>

    </div>

  </div>
  <div class="ml-3">
    
    
  </div>
</div>

    
  
    
      

<div class="media stream-item" itemscope itemprop="blogPost" itemtype="http://schema.org/BlogPosting">
  <div class="media-body">

    <h3 class="article-title mb-0 mt-0" itemprop="headline">
      <a href="/post/experimenting-with-gitlab-ci/" itemprop="url">Experimenting With GitLab CI</a>
    </h3>

    
    
      
    
    
    <div class="article-style" itemprop="articleBody">
      Setting up a NodeJS project to work with GitLab CI and docker-compose.
    </div>
    

    <div class="stream-meta">
    

<div class="article-metadata">

  
  
  <span itemscope itemprop="author" itemtype="http://schema.org/Person">
    <meta itemprop="name" content="Jeremy Jackson">
  </span>
  

  <span class="article-date">
    
    <meta content="2018-04-03 20:57:42 -0600 MDT" itemprop="datePublished">
    <time datetime="2018-04-03 20:57:42 -0600 MDT" itemprop="dateModified">
      2018-04-03
    </time>
  </span>
  <span itemscope itemprop="publisher" itemtype="http://schema.org/Person">
    <meta itemprop="name" content="Jeremy Jackson">
  </span>

  
  <span class="middot-divider"></span>
  <span class="article-reading-time">
    8 min read
  </span>
  

  
  
  <span class="middot-divider"></span>
  <a href="/post/experimenting-with-gitlab-ci/#disqus_thread"></a>
  

  

  

</div>

    </div>

  </div>
  <div class="ml-3">
    
    
  </div>
</div>

    
  
    
      

<div class="media stream-item" itemscope itemprop="blogPost" itemtype="http://schema.org/BlogPosting">
  <div class="media-body">

    <h3 class="article-title mb-0 mt-0" itemprop="headline">
      <a href="/post/why-i-use-vagrant-so-much/" itemprop="url">Why I Use Vagrant So Much</a>
    </h3>

    
    
      
    
    
    <div class="article-style" itemprop="articleBody">
      Vagrant can help you create consistency in how you build and deploy software. Here are some basics.
    </div>
    

    <div class="stream-meta">
    

<div class="article-metadata">

  
  
  <span itemscope itemprop="author" itemtype="http://schema.org/Person">
    <meta itemprop="name" content="Jeremy Jackson">
  </span>
  

  <span class="article-date">
    
    <meta content="2017-12-17 17:03:13 -0700 MST" itemprop="datePublished">
    <time datetime="2017-12-17 17:03:13 -0700 MST" itemprop="dateModified">
      2017-12-17
    </time>
  </span>
  <span itemscope itemprop="publisher" itemtype="http://schema.org/Person">
    <meta itemprop="name" content="Jeremy Jackson">
  </span>

  
  <span class="middot-divider"></span>
  <span class="article-reading-time">
    8 min read
  </span>
  

  
  
  <span class="middot-divider"></span>
  <a href="/post/why-i-use-vagrant-so-much/#disqus_thread"></a>
  

  

  

</div>

    </div>

  </div>
  <div class="ml-3">
    
    
  </div>
</div>

    
  
    
      

<div class="media stream-item" itemscope itemprop="blogPost" itemtype="http://schema.org/BlogPosting">
  <div class="media-body">

    <h3 class="article-title mb-0 mt-0" itemprop="headline">
      <a href="/post/my-terminal-configs/" itemprop="url">My Terminal Configs</a>
    </h3>

    
    
      
    
    
    <div class="article-style" itemprop="articleBody">
      Here&rsquo;s some information about my system config files.
    </div>
    

    <div class="stream-meta">
    

<div class="article-metadata">

  
  
  <span itemscope itemprop="author" itemtype="http://schema.org/Person">
    <meta itemprop="name" content="Jeremy Jackson">
  </span>
  

  <span class="article-date">
    
    <meta content="2017-12-17 14:15:50 -0700 MST" itemprop="datePublished">
    <time datetime="2017-12-17 14:15:50 -0700 MST" itemprop="dateModified">
      2017-12-17
    </time>
  </span>
  <span itemscope itemprop="publisher" itemtype="http://schema.org/Person">
    <meta itemprop="name" content="Jeremy Jackson">
  </span>

  
  <span class="middot-divider"></span>
  <span class="article-reading-time">
    5 min read
  </span>
  

  
  
  <span class="middot-divider"></span>
  <a href="/post/my-terminal-configs/#disqus_thread"></a>
  

  

  

</div>

    </div>

  </div>
  <div class="ml-3">
    
    
  </div>
</div>

    
  
    
      

<div class="media stream-item" itemscope itemprop="blogPost" itemtype="http://schema.org/BlogPosting">
  <div class="media-body">

    <h3 class="article-title mb-0 mt-0" itemprop="headline">
      <a href="/post/the-wedge-pattern/" itemprop="url">The Wedge Pattern</a>
    </h3>

    
    
      
    
    
    <div class="article-style" itemprop="articleBody">
      Fixing the bad data wedge pattern that comes from Excel being awful.
    </div>
    

    <div class="stream-meta">
    

<div class="article-metadata">

  
  
  <span itemscope itemprop="author" itemtype="http://schema.org/Person">
    <meta itemprop="name" content="Jeremy Jackson">
  </span>
  

  <span class="article-date">
    
    <meta content="2017-12-16 22:30:48 -0700 MST" itemprop="datePublished">
    <time datetime="2017-12-16 22:30:48 -0700 MST" itemprop="dateModified">
      2017-12-16
    </time>
  </span>
  <span itemscope itemprop="publisher" itemtype="http://schema.org/Person">
    <meta itemprop="name" content="Jeremy Jackson">
  </span>

  
  <span class="middot-divider"></span>
  <span class="article-reading-time">
    3 min read
  </span>
  

  
  
  <span class="middot-divider"></span>
  <a href="/post/the-wedge-pattern/#disqus_thread"></a>
  

  

  

</div>

    </div>

  </div>
  <div class="ml-3">
    
    
  </div>
</div>

    
  

  


</div>
<div class="container">
  <footer class="site-footer">
  

  <p class="powered-by">
    &copy; 2017 Jeremy T Jackson &middot; 

    Powered by the
    <a href="https://sourcethemes.com/academic/" target="_blank" rel="noopener">Academic theme</a> for
    <a href="https://gohugo.io" target="_blank" rel="noopener">Hugo</a>.

    
    <span class="float-right" aria-hidden="true">
      <a href="#" id="back_to_top">
        <span class="button_icon">
          <i class="fas fa-chevron-up fa-2x"></i>
        </span>
      </a>
    </span>
    
  </p>
</footer>

</div>


<div id="modal" class="modal fade" role="dialog">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">Cite</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <pre><code class="tex hljs"></code></pre>
      </div>
      <div class="modal-footer">
        <a class="btn btn-outline-primary my-1 js-copy-cite" href="#" target="_blank">
          <i class="fas fa-copy"></i> Copy
        </a>
        <a class="btn btn-outline-primary my-1 js-download-cite" href="#" target="_blank">
          <i class="fas fa-download"></i> Download
        </a>
        <div id="modal-error"></div>
      </div>
    </div>
  </div>
</div>

    

    
    
    
    
    <script src="/js/mathjax-config.500a6cbb2c0f345fcecc21b3116d6637aa78f1f11db8081ea581abe05390c2e8f3bbffe61be3cf0217baf785c40efceabe51050a4f007e69af94efd3643260e8.js" integrity="sha512-UApsuywPNF/OzCGzEW1mN6p48fEduAgepYGr4FOQwujzu//mG&#43;PPAhe694XEDvzqvlEFCk8AfmmvlO/TZDJg6A=="></script>
    

    
    
    
      <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js" integrity="sha512-+NqPlbbtM1QqiK8ZAo4Yrj2c4lNQoGv8P79DPtKzj++l5jnN39rHA/xsqn8zE9l0uSoxaCdrOgFs6yjyfbBxSg==" crossorigin="anonymous"></script>
      <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.imagesloaded/4.1.3/imagesloaded.pkgd.min.js" integrity="sha512-umsR78NN0D23AzgoZ11K7raBD+R6hqKojyBZs1w8WvYlsI+QuKRGBx3LFCwhatzBunCjDuJpDHwxD13sLMbpRA==" crossorigin="anonymous"></script>
      <script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha256-VsEqElsCHSGmnmHXGQzvoWjWwoznFSZc6hs7ARLRacQ=" crossorigin="anonymous"></script>
      <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.isotope/3.0.4/isotope.pkgd.min.js" integrity="sha512-VDBOIlDbuC4VWxGJNmuFRQ0Li0SKkDpmGyuhAG5LTDLd/dJ/S0WMVxriR2Y+CyPL5gzjpN4f/6iqWVBJlht0tQ==" crossorigin="anonymous"></script>
      <script src="https://cdnjs.cloudflare.com/ajax/libs/fancybox/3.2.5/jquery.fancybox.min.js" integrity="sha256-X5PoE3KU5l+JcX+w09p/wHl9AzK333C4hJ2I9S5mD4M=" crossorigin="anonymous"></script>

      

      
      
      <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.4/MathJax.js?config=TeX-AMS_CHTML-full" integrity="sha256-GhM+5JHb6QUzOQPXSJLEWP7R73CbkisjzK5Eyij4U9w=" crossorigin="anonymous" async></script>
      
    

    <script src="/js/hugo-academic.js"></script>
    

    
    

    
    
    
    <script id="dsq-count-scr" src="//ackso-net.disqus.com.disqus.com/count.js" async></script>
    

    
    

    
    
    <script>
      const search_index_filename = "/index.json";
      const i18n = {
        'placeholder': "Search...",
        'results': "Search Results",
        'no_results': "No results found"
      };
      const content_type = {
        'post': "Posts",
        'project': "Projects",
        'publication' : "Publications",
        'talk' : "Talks"
        };
    </script>
    

    
    

    

    
    

    
    

  </body>
</html>

